package com.bytedance.ies.xelement.input;

import X.C3935Qf6;
import X.C3940QfB;
import X.LC5;
import X.LWA;
import X.M12;
import X.QNL;
import X.QNX;
import com.bytedance.covode.number.Covode;
import com.lynx.react.bridge.ReadableType;
import com.lynx.tasm.behavior.shadow.LayoutNode;
import com.lynx.tasm.behavior.shadow.text.TextShadowNode;
import com.lynx.tasm.behavior.ui.LynxBaseUI;

public class AutoHeightInputShadowNode extends TextShadowNode {
    static {
        Covode.recordClassIndex(32384);
    }

    @QNL(LIZ = "font-size")
    public final void setFontTextSize(LC5 lc5) {
        if (lc5 == null) {
            setFontSize(QNX.LIZ("14px", 0.0f, 0.0f));
            return;
        }
        ReadableType LJIIIIZZ = lc5.LJIIIIZZ();
        if (LJIIIIZZ != null) {
            int i = LWA.LIZ[LJIIIIZZ.ordinal()];
            if (i == 1) {
                setFontSize((float) lc5.LIZJ());
            } else if (i == 2) {
                setFontSize(QNX.LIZ(lc5.LJFF(), 0.0f, 0.0f));
            }
        }
    }

    public final long LIZ(LayoutNode layoutNode, float f, C3935Qf6 qf6, float f2, C3935Qf6 qf62) {
        M12.LIZ(layoutNode, qf6, qf62);
        LynxBaseUI LIZ = LJIIJ().LIZ(this.LJI);
        if (!(LIZ instanceof LynxTextAreaView)) {
            LIZ = null;
        }
        LynxTextAreaView lynxTextAreaView = (LynxTextAreaView) LIZ;
        if (lynxTextAreaView == null) {
            return C3940QfB.LIZ();
        }
        return C3940QfB.LIZ(f, (float) Math.max(lynxTextAreaView.LJIIZILJ, lynxTextAreaView.LJJIJIIJIL));
    }
}
